3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class Dummy { function __construct($input = array(1,2,3)) { $this->input = $input; } function run() { foreach($this->input as $key=>$value) { if($key == 2) throw new Exception('hello exception'); } } } function retry(Dummy $dum) { try { $dum->run(); } catch(Exception $e) { retry($dum); } } $dum = new Dummy; $dum->run();
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Exception: hello exception in /in/EW82v:12 Stack trace: #0 /in/EW82v(28): Dummy->run() #1 {main} thrown in /in/EW82v on line 12
Process exited with code 255.
Output for hhvm-3.10.0 - 3.12.0
Fatal error: Uncaught exception 'Exception' with message 'hello exception' in /in/EW82v:12 Stack trace: #0 /in/EW82v(28): Dummy->run() #1 {main}
Process exited with code 255.
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'hello exception' in /in/EW82v:12 Stack trace: #0 /in/EW82v(28): Dummy->run() #1 {main} thrown in /in/EW82v on line 12
Process exited with code 255.
Output for 5.0.3 - 5.0.4
Fatal error: Uncaught exception 'Exception' with message 'hello exception' in /in/EW82v:12 Stack trace: #0 /in/EW82v(12): Dummy::run() #1 /in/EW82v(28): Dummy->run() #2 {main} thrown in /in/EW82v on line 12
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/EW82v on line 12
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/EW82v on line 12
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/EW82v on line 12
Process exited with code 255.